Page MenuHomePhabricator

Improve RCFilters highlight circles CSS code output and align due to new base font-size
Open, Needs TriagePublic

Description

Issues identified with current LESS code (& after T97631 & T177432):

  • circle mixin cares about the specific colors, but repeats general properties/values in every color instead of a shared circle class
    • box-sizing
    • border-radius: 50%
  • sets margin instead of top/left, which would be in most cases sufficient and overwrite instead of adding another property Update 2018-04-07: Due to variance in usage, this doesn't make sense in time-budget vs saved output sense.
  • OOUI ButtonWidget sets opacity on icons, therefore the colors in .mw-rcfilters-ui-filterItemHighlightButton are not rendered correctly

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kaldari added a subscriber: kaldari.Apr 3 2018, 5:47 PM

@Volker_E: You got this one?

Volker_E added a comment.EditedApr 3 2018, 5:59 PM

@kaldari Yes, I've had to focus on other, higher-prio follow-ups to T97361. Should have provided patch by tomorrow.

Change 424848 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] RCFilters: Improve circle mixin and change to new standard icon size

https://gerrit.wikimedia.org/r/424848

Volker_E updated the task description. (Show Details)Apr 8 2018, 5:55 AM
Volker_E updated the task description. (Show Details)
Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 5 2018, 1:47 PM
Trizek-WMF moved this task from Inbox to External on the Growth-Team board.Oct 8 2018, 12:57 PM
Trizek-WMF added a subscriber: Trizek-WMF.

Any updates? Is it solved?

@Trizek-WMF That's not resolved yet, sorry. Slipped off my radar after running into some issues with my patch. Need to sit aside of @Etonkovidova or @Catrope to verify changes as they have the right setup.

Change 465191 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] RCFilters: Override frameless button opacity to show real highlight color

https://gerrit.wikimedia.org/r/465191

Change 465191 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Override frameless button opacity to show real highlight color

https://gerrit.wikimedia.org/r/465191

Volker_E updated the task description. (Show Details)Oct 9 2018, 10:04 PM

Change 424848 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Improve circle mixin and change to new standard icon size

https://gerrit.wikimedia.org/r/424848

Volker_E updated the task description. (Show Details)

@Etonkovidova Over to you for QA please…